Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IEventCaptureComplete Class Reference

The interface that exposes the properties for a CAPTURE_COMPLETE event. More...

`#include <Event.h>`

Inheritance diagram for Argus::IEventCaptureComplete:

List of all members.

## Public Member Functions

virtual const CaptureMetadata * | getMetadata () const =0
| Returns all dynamic metadata associated with this capture.
virtual Status | getStatus () const =0
| Returns the error status of the metadata event.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IEventCaptureComplete ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

The interface that exposes the properties for a CAPTURE_COMPLETE event.

Definition at line 143 of file Event.h.

## Constructor & Destructor Documentation

Argus::IEventCaptureComplete::~IEventCaptureComplete | ( |  | ) |

inlineprotected

Definition at line 163 of file Event.h.

## Member Function Documentation

virtual const CaptureMetadata* Argus::IEventCaptureComplete::getMetadata | ( |  | ) | const

pure virtual

Returns all dynamic metadata associated with this capture.

The lifetime of the returned pointer is equivalent to the lifetime of this event. NULL may be returned if no metadata is available because the capture failed or was aborted.

virtual Status Argus::IEventCaptureComplete::getStatus | ( |  | ) | const

pure virtual

Returns the error status of the metadata event.

If this value is not STATUS_OK, getMetadata() will return NULL.

static const InterfaceID& Argus::IEventCaptureComplete::id | ( |  | ) |

inlinestatic

Definition at line 146 of file Event.h.

The documentation for this class was generated from the following file:

- include/Argus/Event.h